De-Register for getting details of newly created cards.
curl --request DELETE \
--url https://apigwuat.corpay.com/cards/created \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"customerAccountNumber": "<string>",
"orderReference": "<string>",
"target_url": "<string>",
"hmac_enabled": true,
"hmac_secret": "<string>",
"max_retries": 123
}
'import requests
url = "https://apigwuat.corpay.com/cards/created"
payload = {
"customerAccountNumber": "<string>",
"orderReference": "<string>",
"target_url": "<string>",
"hmac_enabled": True,
"hmac_secret": "<string>",
"max_retries": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
customerAccountNumber: '<string>',
orderReference: '<string>',
target_url: '<string>',
hmac_enabled: true,
hmac_secret: '<string>',
max_retries: 123
})
};
fetch('https://apigwuat.corpay.com/cards/created', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"errorCode": "ER-001",
"errorDescription": "Invalid request parameters"
}{
"errorCode": "ER-012",
"errorDescription": "The server encountered an unexpected condition and could not complete the request. Please contact Corpay Support."
}Webhooks
De-Register for getting details of newly created cards.
Once the newly created cards are received against order reference, use the API to de register webhook for the Order Reference. for each card order the registration needs to be done separately. if hmac_enabled was enabled during registration then hmac_secret and hmac_enabled flag is needed. max_retries value by default it set to 1.
DELETE
/
cards
/
created
De-Register for getting details of newly created cards.
Authorizations
Use OAuth2 client credentials to obtain a bearer token.
Token endpoint:
POST <BASE_URL>/keycloak/realms/longship/protocol/openid-connect/token
Use the same base URL as the selected API server:
- Test environment:
https://apigwuat.corpay.com - Production environment:
https://apigw.corpay.com
Example:
curl --location '<BASE_URL>/keycloak/realms/longship/protocol/openid-connect/token' \ --header 'accept: application/json' \ --data-urlencode 'grant_type=client_credentials' \ --data-urlencode 'client_id=.......' \ --data-urlencode 'client_secret=......'
Body
application/json
Response
acknowledgement
⌘I